plugins – WPbakery causes Critical error upon activation

Question

When I activate WPbakery plugin, it gives the error “there has been a critical error on this website”.

What I have done:

  1. I have restored the old backup which was in working condition few days ago but now even old backup is giving same error.

  2. I have deactivated all other plugins and only activated WPbakery to check if there is any conflict with other plugins. Even then it shows same error.

  3. I have debugged it and got this error

    Fatal error: Unparenthesized a ? b : c ? d : e is not supported. Use either (a ? b : c) ? d : e or a ? b : (c ? d : e) in /home/*/public_html//wp-content/plugins/js_composer/include/classes/editors/class-vc-frontend-editor.php on line 646.

When I go to this file and specified line number, there is no such code about this error.

The screenshot of the line number 646 is attached:
enter image description here

The theme is newsflash. WPbakery came free with this theme. All plugins and theme are updated.
How can I solve this issue? I have spent hours but no success.

Edit: PHP version is 8.1

0
Muhammad Ibrar 5 months 2022-07-09T23:04:07-05:00 0 Answers 0 views 0

Leave an answer

Browse
Browse